Bug 997913 - Some Maven artifacts with identical GAV in 5.3 and 6.0 repos don't have identical content
Some Maven artifacts with identical GAV in 5.3 and 6.0 repos don't have ident...
Status: CLOSED CANTFIX
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Maven Repository (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Julian Coleman
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 09:36 EDT by Petr Široký
Modified: 2015-08-02 19:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-07 08:17:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Široký 2013-08-16 09:36:07 EDT
Description of problem:
Some artifacts (with identical GAV) that are present both in 5.3 Maven repo and 6.0 Maven repo differ binary (e.g. different .class files)
e.g. 
http://download.devel.redhat.com/brewroot/repos/soa-brms-6-build/latest/maven/org/sonatype/aether/aether-connector-wagon/1.13.1/

http://download.devel.redhat.com/brewroot/repos/soa-brms-5.3-updates-build/latest/maven/org/sonatype/aether/aether-connector-wagon/1.13.1/

As discussed with Julian, 6.0 repo should contain the exact same artifacts as 5.3 repo. 


List of artifacts that might binary differ in 5.3 and 6.0 repos:
org/apache/maven/maven-repository-metadata/3.0.3/maven-repository-metadata-3.0.3.jar
org/sonatype/aether/aether-api/1.13.1/aether-api-1.13.1.jar
org/apache/maven/maven-compat/3.0.3/maven-compat-3.0.3.jar
org/sonatype/aether/aether-connector-wagon/1.13.1/aether-connector-wagon-1.13.1.jar
org/sonatype/aether/aether-connector-file/1.13.1/aether-connector-file-1.13.1.jar
org/sonatype/aether/aether-spi/1.13.1/aether-spi-1.13.1.jar
aopalliance/aopalliance/1.0/aopalliance-1.0.jar
org/apache/maven/maven-aether-provider/3.0.3/maven-aether-provider-3.0.3.jar
org/apache/maven/maven-model-builder/3.0.3/maven-model-builder-3.0.3.jar
org/beanshell/bsh/2.0b4/bsh-2.0b4.jar
org/apache/maven/maven-artifact/3.0.3/maven-artifact-3.0.3.jar
org/apache/maven/maven-model/3.0.3/maven-model-3.0.3.jar
org/sonatype/aether/aether-util/1.13.1/aether-util-1.13.1.jar
org/apache/maven/maven-core/3.0.3/maven-core-3.0.3.jar
org/apache/maven/maven-settings/3.0.3/maven-settings-3.0.3.jar
org/apache/maven/maven-settings-builder/3.0.3/maven-settings-builder-3.0.3.jar
org/sonatype/aether/aether-impl/1.13.1/aether-impl-1.13.1.jar

Note: There could be false positives in the list and also more artifacts could be affected, the above are just artifacts found in B[PR]MS.
Comment 2 Julian Coleman 2013-11-15 11:24:57 EST
Note, that artifacts from Maven Central and from JBoss won't be included in the shipped IP 6.x repository.
Comment 3 Julian Coleman 2014-01-07 08:17:09 EST
We can't fix the 5.x artifacts at this point.  Also, the impact is not visible to users (5.x artifacts were not shipped).

Note You need to log in before you can comment on or make changes to this bug.